org.apache.solr.response

## Class ResultContext

- java.lang.Object
- - org.apache.solr.response.ResultContext

- Direct Known Subclasses:
    BasicResultContext

      public abstract class ResultContext
      extends Object

  A class to hold the QueryResult and the Query

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DocList` | `getDocList()`
    `Iterator<SolrDocument>` | `getProcessedDocuments()`
    `abstract Query` | `getQuery()`
    `abstract SolrQueryRequest` | `getRequest()` Note: do not use the request to get the searcher! A cross-core request may have a different searcher (for the other core) than the original request.
    `abstract ReturnFields` | `getReturnFields()`
    `abstract SolrIndexSearcher` | `getSearcher()`
    `boolean` | `wantsScores()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultContext

          public ResultContext()

  - ### Method Detail

    - #### getDocList

          public abstract DocList getDocList()

    - #### getReturnFields

          public abstract ReturnFields getReturnFields()

    - #### getSearcher

          public abstract SolrIndexSearcher getSearcher()

    - #### getQuery

          public abstract Query getQuery()

    - #### getRequest

          public abstract SolrQueryRequest getRequest()

      Note: do not use the request to get the searcher! A cross-core request may have a different searcher (for the other core) than the original request.

    - #### wantsScores

          public boolean wantsScores()

    - #### getProcessedDocuments

          public Iterator<SolrDocument> getProcessedDocuments()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.